//@date June 23, 2009
//@author Joe Romano and William McMahan
//@description Digital filter class.

#ifndef _DIGITALFILTER_H_
#define _DIGITALFILTER_H_

class digitalFilter
{

public:
	// Constructors
	digitalFilter(int filterOrder_userdef, bool isIIR);	
	digitalFilter(int filterOrder_userdef, bool isIIR, float *b_userdef, float *a_userdef);

	~digitalFilter(void);	// Destructor

	float getNextFilteredValue(float u_current);

protected:
	float *a, *b;		// filter coefficients
	float *u, *x;		// filter input and output states
	
private:
	int filterOrder;
        bool IIR;
	
};

#endif

