function [ pressure_vector_sum] = slipDeriv(pressure_vector, time_vector)
% function to calculate slip on the fingerpad and return a time-indexed
% vector of slips

pressure_vector_sum = zeros(length(pressure_vector),1);

for j=2:length(pressure_vector)
   for i=8:22
       if(  (pressure_vector(j,i) - pressure_vector(j-1,i)) < 0 )
         pressure_vector_sum(j) = pressure_vector_sum(j) + (pressure_vector(j,i) - pressure_vector(j-1,i))/(time_vector(j)-time_vector(j-1));
       end
   end
end