function [ x y ] = getPressureVectorCOM(pressure_vector)
% method to take in a pressure vector over time and returns the x-y com
% values over time

% get just the fingerpad
pad_vector = pressure_vector(:,8:22);

for i=1:1:length(pressure_vector(:,1))
   
   if( sum(pad_vector(i,:)) > 0.75 ) 
   
      % reshape this vector into a 5x3 matrix
      pad_matrix = reshape(pad_vector(i,:), 3, 5);
   
      % calculate the center of mass
      [x(i) y(i) ]= getMatrixCOM(pad_matrix);
   else
      x(i) = 0;
      y(i) = 0;
   end
end