function [] = showAccSampling(myfilename)

% load up a file
%[acc_combined accTime pressure_left pressure_right pressureTime] = loadAndProcessGripperSensorRTP(myfilename);
[acc_combined accTime ] = loadAndProcessAccelerationSensorRTP(myfilename);

% show the full Z acceleration vector vs time
figure;
plot(accTime,acc_combined(:,1),'r');
figure; plot(accTime,acc_combined(:,2),'g');
figure; plot(accTime,acc_combined(:,3),'b.');
xlabel('Time (s)');
ylabel('Acceleration (g)');
title('Z-Axis Acceleration vs. Time');
%ylim([-3 3]);

%{
figure;
plot(accTime,acc_combined(:,3),'.');
xlabel('Time (s)');
ylabel('Acceleration (g)');
axis([2.624 2.634 -12.498 -12.484]);
title('Z-Axis Acceleration vs. Time - SINGLE SAMPLE ZOOM');
%}

